$(document).ready(function(){

	$(".et-preloader").fadeOut("slow");
	
	//-------------------------------------------
    // Used to unset fixed map and filters
    //-------------------------------------------
    var docWidth    =   $(document).width();

	//-------------------------------
  	// Nav Dropdown Animation
  	//-------------------------------
  	$(".dropdown").hover(            
  		function() {
  			$('.dropdown-menu', this).not('.in .dropdown-menu').stop( true, true ).slideDown("fast");
  			$(this).toggleClass('open');        
  		},
  		function() {
  			$('.dropdown-menu', this).not('.in .dropdown-menu').stop( true, true ).slideUp("fast");
  			$(this).toggleClass('open');       
  		}
  		);

    //-------------------------------
    // Image Hover Background Effect
    //-------------------------------
    if($('.ref-img .image-box').length){
      $(".ref-img .image-box").on("mouseover", function(){
       var image_path = $(this).attr("data-img");
       $(this).closest(".ref-img").css({backgroundImage : 'url("'+image_path+'")'});
     });
    }
    
	//-------------------------------
	// Home testimonial slider
	//-------------------------------
	
	if($(".owl-carousel.testimonial").length) {
		$(".owl-carousel.testimonial").owlCarousel({
			loop: true,
			autoplay: true,
			nav: true,
			dots: false,
			navContainer: '.nav-container-testimonial',
			navText: ["<i class='fa fa-angle-left'>","<i class='fa fa-angle-right'>"],
			responsive:{
				0:{
					items:1
				},
				768:{
					items:2
				},
				1000:{
					items:3
				}
			}
		});
	}

	//-------------------------------
	// Home explore by cities slider
	//-------------------------------

	if($(".owl-carousel.team-slider").length) {
		$(".owl-carousel.team-slider").each(function(index){
			var $this			=	jQuery(this),
				navContacinerrr	=	$this.next('.nav-container-team-slider'),
				items			=	3;

			if(docWidth == 980 || docWidth > 980) {
				$this.find('.slide').css({
					'width': '366.66px',
					'margin-right': '20px'
				});
			}

			$this.owlCarousel({
				loop: true,
				autoplay: false,
				items: items,
				margin:20,
				nav: true,
				dots: false,
				navContainer: navContacinerrr,
				navText: ["<i class='fa fa-angle-left'>","<i class='fa fa-angle-right'>"],
				responsive:{
					0:{
						items:1
					},
					576:{
						items:2
					},
					1000:{
						items:3
					}
				}
			});
		});
	}

	//-------------------------------
	// Blog Detail Slider Home
	//-------------------------------
	
	if($(".owl-carousel.post-slider").length) {
		$(".owl-carousel.post-slider").owlCarousel({
			loop: true,
			autoplay: true,
			items: 4,
			margin:10,
			nav: true,
			dots: false,
			navContainer: '.nav-container-post-slider',
			navText: ["<i class='fa fa-angle-left'>","<i class='fa fa-angle-right'>"],
			responsive:{
				0:{
					items:1
				},
				576:{
					items:2
				},
				1000:{
					items:4,
				}
			}
		});
	}

	//-------------------------------
	// Blog Detail Slider Gallery Tab
	//-------------------------------
	
	if($(".owl-carousel.post-slider-tab").length) {
		$(".owl-carousel.post-slider-tab").owlCarousel({
			loop: true,
			autoplay: true,
			items: 4,
			margin:10,
			nav: true,
			dots: false,
			navContainer: '.nav-container-post-slider-tab',
			navText: ["<i class='fa fa-angle-left'>","<i class='fa fa-angle-right'>"],
			responsive:{
				0:{
					items:1
				},
				576:{
					items:2
				},
				1000:{
					items:4,
				}
			}
		});
	}

	//-------------------------------
	// Listing Detail Slider
	//-------------------------------

	if($(".owl-carousel.listing-slider").length) {
		$(".owl-carousel.listing-slider").owlCarousel({
			loop: true,
			autoplay: true,
			items: 4,
			margin:0,
			nav: false,
			dots: false,
			navContainer: '.nav-container-listing-slider',
			navText: ["<i class='fa fa-angle-left'>","<i class='fa fa-angle-right'>"],
			responsive:{
				0:{
					items:1
				},
				576:{
					items:2
				},
				1000:{
					items:4
				}
			}
		});
	}

	//-------------------------------
	// Listing Detail Small Slider
	//-------------------------------
	
	if($(".owl-carousel.listing-detail-small-slider").length) {
		$(".owl-carousel.listing-detail-small-slider").owlCarousel({
			loop: true,
			autoplay: true,
			items: 3,
			margin:3,
			nav: false,
			dots: false,
			responsive:{
				0:{
					items:1
				},
				576:{
					items:2
				},
				1000:{
					items:3
				}
			}
		});
	}

	//-------------------------------
	// Blog Full Slider Post
	//-------------------------------
	
	if($(".owl-carousel.slide-post").length) {
		$(".owl-carousel.slide-post").owlCarousel({
			loop: true,
			autoplay: true,
			items: 1,
			nav: false,
			dots: false
		});
	}
	
	/*
	  ==============================================================
		   Explore By City Slider
	  ==============================================================
	  */
	  if($('.et-project-slider').length){
	  	$('.et-project-slider').slick({
	  		slidesToShow: 5,
	  		slidesToScroll: 1,
	  		autoplay: false,
	  		autoplaySpeed: 4000,
	  		infinite: true,
	  		dots:false,
	  		cssEase: 'linear',
	  		focusOnSelect: false,
	  		responsive: [
	  		{
	  			breakpoint: 991,
	  			settings: {
	  				slidesToShow: 3,
	  				slidesToScroll: 3
	  			}
	  		},
	  		{
	  			breakpoint: 768,
	  			settings: {
	  				slidesToShow: 2,
	  				slidesToScroll: 2
	  			}
	  		},
	  		{
	  			breakpoint: 480,
	  			settings: {
	  				slidesToShow: 1,
	  				slidesToScroll: 1
	  			}
	  		}
	  		]
	  	});
	  };
	  
	//-------------------------------
    // Home explore by cities slider
    //-------------------------------

    if ($(".owl-carousel.explore-by-city").length) {
        $(".owl-carousel.explore-by-city").owlCarousel({
            loop: true,
            autoplay: true,
            items: 5,
            margin: 25,
            nav: true,
            dots: false,
            navContainer: '.nav-container-explore-by-city',
            navText: ["<i class='fa fa-angle-left'>", "<i class='fa fa-angle-right'>"],
            responsive: {
                0: {
                    items: 1
                },
                576: {
                    items: 3
                },
                1000: {
                    items: 5
                }
            }
        });
    }
	
	/*
	  ==============================================================
		   Clients Slider
	  ==============================================================
	  */

	  if($('#et_our_clients .owl-carousel').length){
	  	$("#et_our_clients .owl-carousel").owlCarousel({
	  		loop:true,
	  		margin:20,
	  		nav:false,
	  		items:6,
	  		autoplay:true,
	  		responsive:{
	  			0:{items:1},
	  			480:{items:2},
	  			600:{items:2},
	  			768:{items:3},
	  			1000:{items:5},
	  			1024:{items:5},
	  			1280:{items:5},
	  			1366:{items:5}
	  		}
	  	});
	  };
	

	//-------------------------------
	// Initiliaze Tooltip
	//-------------------------------
	
	$(function () {
		$('[data-toggle="tooltip"]').tooltip({
			// Pass options here
		})
	})

	//-------------------------------
	// Image Lightbox
	//-------------------------------
	
	if($(".lightbox").length) {
		$('.lightbox a').simpleLightbox({
			showCaptions: false
		});
	}

	//-------------------------------
	// Toggle Manager Timings
	//-------------------------------
	if($(".show-manager-timing").length) {
		$(".show-manager-timing").on('click', function(){
			$(".manager-timings").slideToggle();
		})
	}

	//-------------------------------
	// Show/Hide Business Timing
	//-------------------------------
	if($(".toggle-timing").length) {
		$(".toggle-timing").on('click', function(){
			$(".dropdown-data").slideToggle();
		})
	}

	//-------------------------------
    // Range Slider
    //-------------------------------
    if ($(".js-range-slider").length) {
        $(".js-range-slider").ionRangeSlider({
            skin: "big"
        });
    }

	//-------------------------------
    // Toggle Switcher
    //-------------------------------
    if ($(".m_switch_check").length) {
        $(".m_switch_check:checkbox").mSwitch();
    }
	//-------------------------------
	// jQuery Nice Select
	//-------------------------------
	if($("select").length) {
		$('select').niceSelect();
	}

	//-------------------------------
    // Sidebar Filter
    //-------------------------------

    $(".filter_trigger").click(function (e) {
        e.preventDefault();
        $(".et-sidebar-backdrop").toggleClass("toggled");
        $(".et-sidebar-filter").toggleClass("toggled");
    });
    $(".et-sidebar-backdrop").click(function () {
        $(".et-sidebar-backdrop").toggleClass("toggled");
        $(".et-sidebar-filter").toggleClass("toggled");
    })

	//-------------------------------
  	// Add Social Media URL inputs
  	//-------------------------------

  	if($("#social").length) {
  		$(".add-social").on("click", function(e){
  			var social_type = $("#add_social select").val();
  			var page_url = $("input[name='page_url']").val();

  			if(page_url !== ''){
  				$(".selected-social-media").append("<a href="+ page_url +" target='_blank' class='page-icon bg-primary transition-1'><i class='fab fa-facebook'></i></a>");
  			}else{
  				alert("Please enter URL");
  			}

  			$(".page-icon").on("click", function(u){
  				u.preventDefault();
  				$(this).remove();
  			});
  			$("#social").find("input[type=text], textarea").val("");
  		})
  	}

  	//-------------------------------
  	// Add FAQs
  	//-------------------------------

  	if($("#faqs").length) {
  		$(".add-faq").on("click", function(e){
  			var faq_question = $("input[name='faq_question']").val();
  			var faq_answer = $("textarea[name='faq_answer']").val();

  			if(faq_question !== '' && faq_answer !== ''){
  				$(".selected-faqs").show();
  				$(".selected-faqs tbody").append("<tr><td>" + faq_question + " </td><td>" + faq_answer + "</td><td><i class='fa fa-trash remove pointer text-danger'></i></td></tr>");
  			}else{
  				alert("Please fill both the fields");
  			}
  			
  			$(".selected-faqs .remove").on("click", function(u){
  				$(this).closest("tr").remove();
  				if($(".selected-faqs tbody > tr").length < 1){
  					$(".selected-faqs").hide();
  				}
  			});
  			$("#faqs").find("input[type=text], textarea").val("");
  		})
  	}

  	//-------------------------------
  	// Add Timings
  	//-------------------------------

  	if($("#timing").length) {
  		$(".add-timing").on("click", function(e){
  			var timing_day = $("select[name='timing_day']").val();
  			var time_from = $("#time_from").val();
  			var time_to = $("#time_to").val();

  			if(timing_day !== '' && time_from !== '' && time_to !== ''){
  				$(".selected-timings").show();
  				$(".selected-timings tbody").append("<tr><td>" + timing_day + " </td><td>" + time_from + "</td><td>" + time_to + "</td><td><i class='fa fa-trash remove pointer text-danger'></i></td></tr>");
  			}else{
  				alert("Please fill both the fields");
  			}
  			
  			$(".selected-timings .remove").on("click", function(u){
  				$(this).closest("tr").remove();
  				if($(".selected-timings tbody > tr").length < 1){
  					$(".selected-timings").hide();
  				}
  			});
  			$("#timing").find("input[type=text], textarea").val("");
  		})
  	}

  	//-------------------------------
    // Add Audio
    //-------------------------------

    if ($("#audio").length) {
        $(".add-audio").on("click", function (e) {
            var audio_platform = $("select[name='audio_platform']").val();
            var audio_url = $("input[name='audio_url']").val();


            if (audio_platform !== '' && audio_url !== '') {
                var ifrmaeSRC   =   '';
                if(audio_platform == 'SoundCloud') {
                    $(".selected-audios").show();
                    var ifrmaeSRC    =   '<iframe width="100%" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'+ audio_url +'&color=%23ff5500&auto_play=false&hide_related=false&show_comments=false&show_user=false&show_reposts=false&show_teaser=false&visual=true"></iframe>';
                }
                $(".selected-audios ul").append('<li>'+ifrmaeSRC+'<i class="p-1 shadow pointer btn btn-primary border-0 fa fa-trash"></i></li>');
            } else {
                alert("Please select all the fields");
            }

            $(".selected-audios .remove").on("click", function (u) {
                $(this).closest("li").remove();
            });
            $("#audio").find("input[type=text], textarea").val("");
        })
    }

    //-------------------------------
    // Add Video
    //-------------------------------

    if ($("#video").length) {
        $(".add-video").on("click", function (e) {
            var video_platform = $("select[name='video_platform']").val();
            var video_url = $("[name='video_url']").val();


            if (video_platform !== '' && video_url !== '') {
                if(video_platform == 'DailyMotion'){
                    $(".selected-videos ul").append("<li><div id='dmplayer'></div> </li>");
                    createDailyMotionPlayer(video_url, 'dmplayer');
                } else {
                    $(".selected-videos ul").append("<li><iframe src=" + video_url + "></iframe><i class='p-1 shadow pointer btn btn-primary border-0 fa fa-trash'></i></li>");
                }

            } else {
                alert("Please fill all the fields");
            }

            $(".selected-videos .remove").on("click", function (u) {
                $(this).closest("li").remove();
            });
            $("#video").find("input[type=text], textarea").val("");
        })
    }

	//-------------------------------
	// Bootstrap DateTimePicker
	//-------------------------------
	if($(".datetimepicker").length) {
		$(function() {
			$('.datetimepicker').datetimepicker({
				pickDate: false
			});
		});
	}

	//-------------------------------
  	// Tags Creator
  	//-------------------------------

  	$("#tags input").on({
  		focusout : function() {
      var txt = this.value.replace(/[^a-z0-9\+\-\.\#]/ig,''); // allowed characters
      if(txt) $("<span/>", {text:txt.toLowerCase(), insertBefore:this});
      this.value = "";
    },
    keyup : function(ev) {
      // if: comma|enter (delimit more keyCodes with | pipe)
      if(/(188|13)/.test(ev.which)) $(this).focusout(); 
    }
  });
  	$('#tags').on('click', 'span', function() {
  		if(confirm("Remove "+ $(this).text() +"?")) $(this).remove(); 
  	});


	//-------------------------------
  	// Background Image Scroll Effect
  	//-------------------------------

  	var velocity = 0.6; // Scroll speed
  	function update(){ 
  		var pos = $(window).scrollTop(); 
  		$('.et-add-listing').each(function() { 
  			var $element = $(this);
        // subtract some from the height b/c of the padding
        var height = $element.height()-18;
        $(this).css('backgroundPosition', '50% ' + Math.round((height - pos) * velocity) + 'px'); 
      }); 
  	};
  	$(window).bind('scroll', update);

  	//-------------------------------
  	// Mobile Nav Menu
  	//-------------------------------
  	$('#mobile-nav').hcOffcanvasNav({
  		maxWidth: 768,
		customToggle: $('#nav-toggle')
  	});


  	//--------------------------------------
  	// Smooth scroll to Write Review Section
  	//--------------------------------------
  	$('#write-review').click(function(){ 
  		$('html, body').animate({
  			scrollTop: $(".write-review").offset().top
  		}, 2000);
  	});

	//--------------------------------------
  	// Disable Nice Select
  	//--------------------------------------
  	if($(".sort-order").length) {
  		$('.sort-order').niceSelect('destroy');
  	}

  	//---------------------------------------
    // Switch List and Grid View for Listings
    //---------------------------------------
    $(".switch_grid").on("click", function () {
        $(this).addClass("text-primary");
        $(".switch_list").removeClass("text-primary");
        $(".listing-grid-view").fadeIn("slow");
        $(".listing-list-view").fadeOut("slow");
    })
    $(".switch_list").on("click", function () {
        $(this).addClass("text-primary");
        $(".switch_grid").removeClass("text-primary");
        $(".listing-grid-view").fadeOut("slow");
        $(".listing-list-view").fadeIn("slow");
    })

    //-------------------------------
    // Show Search Results and detail
    //-------------------------------
    $(".showlist").on("click", function (e) {
        $(this).closest(".primary-categories").hide();
        $("#back-to-default").fadeIn("slow");
        $("#search-result-listings").fadeIn("slow");
        e.preventDefault();
    });
    $("#search-result-listings a.link-primary").on("click", function (e) {
        $("#search-result-listings").hide();
        $("#listing-detail").fadeIn("slow");
        e.preventDefault();
    });
    $("#back-to-default").on("click", function (e) {
        location.reload();
        e.preventDefault();
    });

    //-------------------------------
    // Gallery Images Upload
    //-------------------------------
    $('#gallery_img_upload').change(function(event){
        var imageHTML = '';

        $(event.target.files).each(function(index){
            var tmppath = URL.createObjectURL(event.target.files[index]);
            imageHTML += '<li class="m-1" id="gallery-img-'+ index +'"><img class="img-fluid" src="'+tmppath+'"><i data-targetimg="'+ index +'" class="remove-gallery-img p-1 shadow pointer btn btn-primary border-0 fa fa-trash"></i></li>';
        });

        $('#gallery_images_list').html(imageHTML);
        event.preventDefault();

    });
    //-------------------------------
    // Remove Gallery Images
    //-------------------------------
    $(document).on('click', '.remove-gallery-img', function(e){
        e.preventDefault();
        $(this).closest('li').remove();
    });


    //-------------------------------
    // Featured Images Upload
    //-------------------------------
    $('#single_img_upload').change(function(event){
        var imageHTML = '';

        $(event.target.files).each(function(index){
            var tmppath = URL.createObjectURL(event.target.files[index]);
            imageHTML += '<li class="m-1" id="featured-img-'+ index +'"><img class="img-fluid" src="'+tmppath+'"><i data-targetimg="'+ index +'" class="remove-featured-img p-1 shadow pointer btn btn-primary border-0 fa fa-trash"></i></li>';
        });

        $('#uploaded_feat_img').html(imageHTML);
        event.preventDefault();

    });
    //-------------------------------
    // Remove Featured Image
    //-------------------------------
    $(document).on('click', '.remove-featured-img', function(e){
        e.preventDefault();
        $(this).closest('li').remove();
    });
	
	//-------------------------------
    // Float More Filters
    //-------------------------------
    $(document).on('click', '.float-more-filters', function(e){
        e.preventDefault();
        if($(this).hasClass('float-from-right')) {
            $('.floating-filters.floating-right').addClass('float-filters-right');
        } else {
            $('.floating-filters.floating-left').addClass('float-filters-left');
        }
    });

    //-------------------------------
    // Hide More Filters
    //-------------------------------
    $(document).on('click', '.close-filter-left, .close-filter-right', function(e){
        e.preventDefault();
        if($(this).hasClass('close-filter-left')) {
            $('.floating-filters.floating-left').removeClass('float-filters-left');
        } else {
            $('.floating-filters.floating-right').removeClass('float-filters-right');
        }
    });
	
	//-------------------------------
    // Play Video in Banner
    //-------------------------------
    if($('.player').length){
        $(".player").mb_YTPlayer({
            containment: '#et-banner-video-contaier',
            mute: true,
            autoplay: true,
            showControls: false,
            quality: 'hd720'
        });
    }
	
	//-------------------------------
    // Fixed Sidebar Filters
    //-------------------------------
    if($('.sidebar-search-filters').length && docWidth > 980){
        var filtersScroll   =   $('.sidebar-search-filters').offset().top,
            footerHeight    =   $('.et-copyright-bar').height()+parseInt(40),
            windowHeight    =   $(window).height();

        $(window).scroll(function(){
            var scroll = $(window).scrollTop()-20;
            if(scroll > filtersScroll) {
                $('.sidebar-search-filters').addClass('position-fixed').css('max-height', parseInt(windowHeight-footerHeight)+'px');
            }
            if(scroll < filtersScroll) {
                $('.sidebar-search-filters').removeClass('position-fixed').css('max-height', 'inherit');
            }
        });
    }

    //-------------------------------
    // Fixed Sidebar Maps
    //-------------------------------
    if($('.sidebar-map-fixed').length && docWidth > 980) {
        var mapScroll       =   $('.sidebar-map-fixed').offset().top;

        $(window).scroll(function(){
            var scroll = $(window).scrollTop()-20;
            if(scroll > mapScroll) {
                $('.sidebar-map-fixed').addClass('fixed-maps');
            }
            if(scroll < mapScroll) {
                $('.sidebar-map-fixed').removeClass('fixed-maps');
            }
        });
    }
	
	/*
	  =======================================================================
  		Back to top
	  =======================================================================
	  */
	  $(window).scroll(function() {
	  	if ($(this).scrollTop()) {
	  		$('#backTop').fadeIn();
	  	} else {
	  		$('#backTop').fadeOut();
	  	}
	  });
	  $("#backTop").on('click', function() {
		$("html, body").animate({
			scrollTop: 0
		}, 980);
	});


  });


	//-------------------------------
  	// Google Maps
  	//-------------------------------
  	function loadMap(singleMap) {
    var docWidth    =   $(document).width();
    if(singleMap) {
        var mapZoom     =   13,
            mapCenter   =   [-33.9169667, 151.2345321]
        var lsitingLocations = [
            ['Maroubra Beach', -33.9169667, 151.2345321, 1]
        ];

        var listingContents =   [
            '<div class="listing-map-window"><img src="img/instagram/post-1.jpg" class="rounded-pill border thick-border" alt="img"><div class="pl-1"><h6>TheBridge Restaurant 1</h6><a class="w-100 text-primary" href="#">View Details <i class="fas fa-angle-double-right"></i></a></div></div>',
        ]
    } else {

        var mapZoom     =   16;
        if($('.sidebar-map-fixed').length && docWidth > 980){
            var footerHeight    =   $('.et-copyright-bar').height(),
                windowHeight    =   $(window).height(),
                mapTop          =   $('.sidebar-map-fixed').offset().top,
                mapHeight       =   parseInt(windowHeight-(mapTop+footerHeight));


            $('.sidebar-map-fixed').css('height', mapHeight+'px');
            mapZoom     =   14;
        }
        if(jQuery('section.et-maps-banner-wrapper').length) {
            mapZoom	=	15;
        }


        if(docWidth > 319 && docWidth < 980) {
            mapZoom =   14
        }
        var mapCenter   =   [-33.91722, 151.23064];
        var lsitingLocations = [
            ['Bondi Beach', -33.9148339, 151.2404048, 4],
            ['new beach', -33.9169667, 151.2345321, 3],
            ['new beach', -33.9158827, 151.2314457, 2],
            ['new beach', -33.9175679, 151.2255712, 1],
        ];

        var listingContents =   [
            '<div class="listing-map-window">' +
            '<div class="et-list-grid-main">' +
            '<div class="listing-thumbnail transition-1 overflow-hidden rounded-top position-relative">	<span class="p-1 position-absolute small business-time right bg-primary text-white pl-2 pr-2"><i class="fa fa-clock"></i> Closed</span>'+
            '<img src="img/listings/listing-map-thumb.jpg" class="img-fluid" alt="list">'+
            '<div class="grid-rating-section p-3 pt-0 pb-4">'+
            '<div class="star-rating">'+
            '<span class="star"><i class="fa fa-star checked"></i></span>'+
            '<span class="star"><i class="fa fa-star checked"></i></span>'+
            '<span class="star"><i class="fa fa-star checked"></i></span>'+
            '<span class="star no"><i class="fa fa-star"></i></span>'+
            '<span class="star no"><i class="fa fa-star"></i></span>'+
            '<span class="badge badge-secondary ml-2">3.5</span>'+
            '</div>'+
            '</div>'+
            '</div><div class="et-list-wrapper bg-white">'+
            '<a href="listing-detail.html" class="text-decoration-none d-block mt-2 text-reset text-capitalize">'+
            '<h6>Drink Cafe <i class="fa fa-check-circle" data-toggle="tooltip" data-placement="top" title="" data-original-title="Claimed"></i></h6>'+
            '</a>'+
            '<ul class="et-grid-info">'+
            '<li><i class="fa fa-map-marker-alt primary-icon"></i>'+
            '<p>7803 19th Dr, East Elmhurst</p>'+
            '</li>'+
            '<li><i class="fa fa-phone primary-icon"></i>'+
            '<p>+311 937 8379</p>'+
            '</li>'+
            '<li><i class="fa fa-link primary-icon"></i>'+
            '<p>www.coffeeshop.com</p>'+
            '</li>'+
            '</ul>'+
            '</div>' +
            '</div> </div>'
        ]
    }


    var icons = ['hotel', 'shopping', 'auto', 'hospital'];

    var infowindow = new google.maps.InfoWindow();

    var marker, i;

    for (i = 0; i < lsitingLocations.length; i++) {
        marker = new google.maps.Marker({
            position: new google.maps.LatLng(lsitingLocations[i][1], lsitingLocations[i][2]),
            map: map,
            icon: 'img/'+icons[i]+'-marker.png'
        });
		if(docWidth > 767) {
			google.maps.event.addListener(marker, 'click', (function(marker, i) {
				return function() {
					infowindow.setContent(listingContents[0]);
					infowindow.open(map, marker);
				}
			})(marker, i));
		}
    }
}

//-------------------------------
// Initiate DailyMotion Player
//-------------------------------
function createDailyMotionPlayer(videoID, elementID) {
    var player = DM.player(document.getElementById(elementID), {
        video: videoID,
        width: "100%",
        height: "100%",
        params: {
            autoplay: false,
            mute: true
        }
    });
}